import {Component, EventEmitter, Inject, inject, Output} from '@angular/core';
import {Employee} from "../Employee";
import {
  MAT_DIALOG_DATA,
  MatDialogActions,
  MatDialogClose,
  MatDialogContent,
  MatDialogTitle
} from "@angular/material/dialog";
import {MatButton} from "@angular/material/button";
import EmployeeApiService from "../services/employee-api.service";

@Component({
  selector: 'app-delete-employee',
  imports: [
    MatDialogContent,
    MatDialogTitle,
    MatDialogActions,
    MatButton,
    MatDialogClose
  ],
  templateUrl: './delete-employee.component.html',
  standalone: true,
  styleUrl: './delete-employee.component.css'
})
export class DeleteEmployeeComponent {
  private apiService: EmployeeApiService = inject(EmployeeApiService);

  @Output()
  private deleteEvent: EventEmitter<null> = new EventEmitter();

  constructor(@Inject(MAT_DIALOG_DATA) protected employee: Employee) {
  }

  deleteEmployee(id: number) {
    this.apiService.deleteById(id).subscribe();
  }
}
